<!-- ******************************************************** -->
<!--                                                          -->
<!--  [History]                                               -->
<!--    Converted to DocBook: Katsuya Amako, Aug-2006         -->
<!--                                                          -->
<!-- ******************************************************** -->


<!-- ******************* Section (Level#1) ****************** -->
<sect1 id="sect.Hst">
<title>
Histogramming
</title>

<para>
Geant4 is independent of any histogramming package. The Geant4
toolkit has no drivers for histogramming, and no drivers are needed
in Geant4 to use a histogramming package. The code for generating
histograms on some of the distributed examples should be compliant
with the 
<ulink url="http://aida.freehep.org/">
AIDA
</ulink> 
 abstract interfaces for Data Analysis. 
</para>

<para>
Consequently, you may use your favourite package together with
the Geant4 toolkit.
</para>


<!-- ******************* Section (Level#2) ****************** -->
<sect2 id="sect.Hst.JAS">
<title>
JAS
</title>

<para>
Please refer to the 
<ulink url="http://jas.freehep.org/documentation.htm">
JAS documentation
</ulink> 
 on histogramming for using the JAVA 
Analysis Studio tool.
</para>

</sect2>


<!-- ******************* Section (Level#2) ****************** -->
<sect2 id="sect.Hst.iAIDA">
<title>
iAida
</title>

<para>
Please refer to the 
<ulink url="http://iaida.dynalias.net/">
iAIDA (an implementation of AIDA in C++) documentation
</ulink>:
 tool for generating histograms with AIDA to
HBook, Root and AIDA-native compressed XML format.
</para>

</sect2>


<!-- ******************* Section (Level#2) ****************** -->
<sect2 id="sect.Hst.OpnScnt">
<title>
Open Scientist Lab
</title>

<para>
Please refer to the 
<ulink url="http://openscientist.lal.in2p3.fr/">
Open Scientist Lab documentation 
</ulink>
 on histogramming for using the Lab Analysis plug-in for the OnX package. 
</para>

</sect2>


<!-- ******************* Section (Level#2) ****************** -->
<sect2 id="sect.Hst.rAIDA">
<title>
rAIDA
</title>

<para>
Please refer to the 
<ulink url="http://ilcsoft.desy.de/portal/software_packages/raida/">
rAIDA documentation</ulink> (a <ulink url="http://root.cern.ch/">Root</ulink> implementation of AIDA): 
 Root plugin for generating histograms with AIDA.
</para>

</sect2>


<!-- ******************* Section (Level#2) ****************** -->
<sect2 id="sect.Hst.Exmp">
<title>
Examples
</title>

<para>
Examples in Geant4 showing how to use AIDA compliant tools for
histogramming are available in the code distribution in the
following directories:

<itemizedlist spacing="compact">
   <listitem><para>
     <literal>geant4/examples/extended/analysis</literal>,
   </para></listitem>
   <listitem><para>
     <literal>geant4/examples/extended/electromagnetic</literal>     
   </para></listitem>
   <listitem><para>
     <literal>geant4/examples/advanced</literal>     
   </para></listitem>
</itemizedlist>
</para>


</sect2>
</sect1>
